Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel zlib-devel
# END SourceDeps(oneline)
Name:           tiled
Version:        0.9.0
Release:        alt1_1
Summary:        Tiled Map Editor
# tiled itself is GPLv2+, libtiled and tmxviewer are BSD
License:        GPLv2+ and BSD
URL:            http://www.mapeditor.org
Source0:        http://sourceforge.net/projects/%{name}/files/%{name}-qt/%{version}/%{name}-qt-%{version}.tar.gz

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Tiled is a general purpose tile map editor. It's built to be easy to use,
yet flexible enough to work with varying game engines, whether your game
is an RPG, platformer or Breakout clone. Tiled is free software and written
in C++, using the Qt application framework.

This package contains the tiled application and tmxviewer, a simple application
to view Tiled maps.

%prep
%setup -q -n %{name}-qt-%{version}
# Remove copy of zlib
rm -rf src/zlib

%build
qmake-qt4 -r PREFIX=%{_prefix} LIBDIR=%{_libdir} RPATH=no
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

# Clean build artefacts
find -name ".uic" -or -name ".moc" -or -name ".rcc" | xargs rm -rf

# Validate desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# locale files
%find_lang %{name} --with-qt

# Removed development file (this version does not install headers anyway)
rm %{buildroot}/%{_libdir}/lib%{name}.so

%files -f %{name}.lang
%doc AUTHORS NEWS README.md COPYING LICENSE.GPL LICENSE.BSD
%{_bindir}/%{name}
%{_bindir}/tmxrasterizer
%{_bindir}/tmxviewer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/tmxviewer.1*
%{_mandir}/man1/tmxrasterizer.1*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_1
- initial fc import

